import { ApiBase } from './ApiBase';
import { ShortcutApi } from '../ShortcutApi';
import { Shortcut, ShortcutState } from '../../AdaptableState/ShortcutState';
export declare class ShortcutApiImpl extends ApiBase implements ShortcutApi {
    getShortcutState(): ShortcutState;
    getShortcuts(config?: {
        includeLayoutNotAssociatedObjects?: boolean;
    }): Shortcut[];
    getShortcutById(id: Shortcut['Uuid']): Shortcut;
    getActiveShortcuts(): Shortcut[];
    getSuspendedShortcuts(): Shortcut[];
    addShortcut(shortcut: Shortcut): Shortcut;
    deleteShortcut(shortcut: Shortcut): void;
    deleteAllShortcuts(): void;
    suspendShortcut(shortcut: Shortcut): Shortcut;
    unSuspendShortcut(shortcut: Shortcut): Shortcut;
    suspendAllShortcut(): void;
    unSuspendAllShortcut(): void;
    openShortcutSettingsPanel(): void;
}
